%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.1, (the "License"); you may not use this file except in
%% compliance with the License. You should have received a copy of the
%% Erlang Public License along with this software. If not, it can be
%% retrieved via the world wide web at http://www.erlang.org/.
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Initial Developer of the Original Code is Ericsson Utvecklings AB.
%% Portions created by Ericsson are Copyright 1999, Ericsson Utvecklings
%% AB. All Rights Reserved.''
%% 
%%     $Id$
%%
-module(string_SUITE).

-include("test_server.hrl").

%% Tests literal string constants.

-export([all/1, literal_strings/1, nested/1, very_long/1]).

all(suite) -> [literal_strings, nested, very_long].

%% Test literal string constants of various sizes.

literal_strings(suite) -> [];
literal_strings(_) ->
    ?line [] = "",
    ?line [32] = " ",
    ?line [32, 33] = " !",
    ?line Alphabet = lists:seq(65, 90),
    ?line Alphabet = "ABCDEFGHIJKLMNOPQRSTUVWXYZ",
    ?line [0, 10, 13, 65, 66, 67, 0] = "\000\012\015ABC\000",
    ok.

%% Tests that strings can be matched within nested structures.

nested(suite) -> [];
nested(_) ->
    ?line ok = case "abcdef" of
		   "abcdef" ->
		       ok;
		   "yxa" ->
		       error
	       end.

%% Tests long string and that every characater can be used in strings.

very_long(suite) -> [];
very_long(_) ->
    ?line AllChars = lists:seq(0, 255),
    ?line OneKbyte = AllChars++AllChars++AllChars++AllChars,
